<?php

/*----------------------------------------------------*/
/*     CUSTOMIZER OPTIONS                             */
/*----------------------------------------------------*/


add_action('customize_register', 'html5_theme_customizer');

function html5_theme_customizer( $wp_customize ) {



/* Social media option */

$wp_customize->add_section( 'owd_social_section' , array(
        'title'       => __( 'Social Media Icons', 'html5-framework' ),
        'priority'    => 2,
        'description' => __( 'Optional media icons in the header', 'html5-framework' ),
    ) );

   
$wp_customize->add_setting( 'owd_facebook', array(
  'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_facebook', array(
      'label'    => __( 'Enter your Facebook url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_facebook',
      'priority'    => 101,
    ) ) );


$wp_customize->add_setting( 'owd_twitter', array(
  'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_twitter', array(
      'label'    => __( 'Enter your Twitter url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_twitter',
      'priority'    => 102,
    ) ) );

$wp_customize->add_setting( 'owd_google', array(
  'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_google', array(
      'label'    => __( 'Enter your Google+ url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_google',
      'priority'    => 103,
    ) ) );


$wp_customize->add_setting( 'owd_pinterest', array(
  'sanitize_callback' => 'esc_url_raw'
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_pinterest', array(
      'label'    => __( 'Enter your Pinterest url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_pinterest',
      'priority'    => 104,
    ) ) );

    
$wp_customize->add_setting( 'owd_youtube', array(
  'sanitize_callback' => 'esc_url_raw'
) );

    
$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_youtube', array(
      'label'    => __( 'Enter your Youtube url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_youtube',
      'priority'    => 106,
    ) ) );

    
$wp_customize->add_setting( 'owd_instagram', array(
  'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_instagram', array(
      'label'    => __( 'Enter your Instagram url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_instagram',
      'priority'    => 108,
    ) ) );


$wp_customize->add_setting( 'owd_flickr', array(
  'sanitize_callback' => 'esc_url_raw'
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_flickr', array(
      'label'    => __( 'Enter your Flickr url', 'html5-framework' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_flickr',
      'priority'    => 109,
    ) ) );


$wp_customize->add_setting( 'owd_email' , array(
  'sanitize_callback' => 'esc_url_raw'
));


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_email', array(
      'label'    => __( 'Enter your Mailto url', 'html5-framework' ), 
      'section'  => 'owd_social_section',
      'settings' => 'owd_email',
      'priority'    => 111,

    ) ) );

//social color 

$wp_customize->add_section( 'social-header', array(
    'title'       => __('Social Color', 'html5-framework'), 
    'description' => 'Color for social',
    'priority'    => 3,
 ) );

 $wp_customize->add_setting( 'social_font_color' , array(
        'default'     => '#444444',
        'transport'   => 'refresh',
		'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'social_font_color', array(
	  'label'        => __( 'Social Color', 'html5-framework' ),
	  'section'      => 'social-header',
	  'settings'     => 'social_font_color',
) ) );



// hover social color

$wp_customize->add_setting( 'social_font_color_hover' , array(
      'default'           => '#0099ff',
      'transport'         => 'refresh',
	  'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'social_font_color_hover', array(
	  'label'        => __( 'Social Color Hover', 'html5-framework' ),
	  'section'    => 'social-header',
	  'settings'   => 'social_font_color_hover',
) ) );
	
	
	
// logo

$wp_customize->add_section( 'html5_logo_section' , array(
    'title'       => __( 'Logo', 'html5' ),
    'priority'    => 5,
    'description' => __('Incarca un logo', 'html5'),
) );

$wp_customize->add_setting( 'html5_logo', array( 
   'transport' => 'refresh', 
   'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'html5_logo', array(
    'label'    => __( 'Upload a logo (recommended 250x50)', 'html5' ),
    'section'  => 'html5_logo_section',
    'settings' => 'html5_logo',

) ) );



// Header set up 
$wp_customize->add_section( 'header-setup', array(
    'title' => __('Header', 'html5-framework'), 
    'description' => '',
    'priority'    => 7,
 ) );


$wp_customize->add_setting( 'hide_top', array(
    'default' => "",
    'transport' => 'refresh',
	'sanitize_callback' => 'esc_url_raw',
	) );


$wp_customize->add_control( 'hide_top', array(
      'label' => __('Hide Bar Top', 'html5-framework'),
      'type' => 'checkbox',
      'section' => 'header-setup',
	  'priority'     => 1,
) );

// top background
$wp_customize->add_setting( 'top_bgcolor' , array(
      'default'     => '#e5e5e5',
      'transport'   => 'refresh',
	  'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_bgcolor', array(
	     'label'        => __( 'Top background', 'html5-framework' ),
	     'section'      =>     'header-setup',
	     'settings'     =>     'top_bgcolor',
	     'priority'     => 2,

) ) );

// Header background
$wp_customize->add_setting( 'header_bgcolor' , array(
      'default'     => '#dddddd',
      'transport'   => 'refresh',
	  'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bgcolor', array(
	     'label'        => __( 'Header background', 'html5-framework' ),
	     'section'      =>     'header-setup',
	     'settings'     =>     'header_bgcolor',
	     'priority'     => 3,

) ) );

// logo color a
$wp_customize->add_setting( 'logo_color' , array(
      'default'     => '#ffffff',
      'transport'   => 'refresh',
	  'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'logo_color', array(
	     'label'        => __( 'Logo color', 'html5-framework' ),
	     'section'      =>     'header-setup',
	     'settings'     =>     'logo_color',
	     'priority'     => 4,

) ) );









}